<?php

defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');

class physical2virtual_maintain extends PluginMaintain
{
  private $installed = false;

  private $default_conf = array(
    'physical_prefix' => '',
    'physical_postfix' => '',
    'virtual_prefix' => '',
    'virtual_postfix' => '',
    'parent_cat' => null,
    'lock_physical' => false,
    'private_physical' => false,
    'update_on_manual' => true,
    'update_on_upload' => false,
    'update_on_date' => false,
    'update_timeout' => 3,
    'last_update' => 0,
    'store_structure' => true,
  );

  function __construct($plugin_id)
  {
    parent::__construct($plugin_id);
  }

  function install($plugin_version, &$errors=array())
  {
    global $conf;

    if (empty($conf['physical2virtual']))
    {
      $conf['physical2virtual'] = serialize($this->default_conf);
      conf_update_param('physical2virtual', $conf['physical2virtual']);
    }
    else
    {
      $new_conf = is_string($conf['physical2virtual']) ? unserialize($conf['physical2virtual']) : $conf['physical2virtual'];

      $conf['physical2virtual'] = serialize($new_conf);
      conf_update_param('physical2virtual', $conf['physical2virtual']);
    }
    
    $this->installed = true;
  }

  function activate($plugin_version, &$errors=array())
  {
    if (!$this->installed)
    {
      $this->install($plugin_version, $errors);
    }
  }

  function deactivate()
  {
  }

  function uninstall()
  {
    conf_delete_param('physical2virtual');
  }
}

?>
